#
# spec file for package xfwp
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           xfwp
Version:        1.0.3
Release:        bp153.1.14
Summary:        X firewall proxy
License:        MIT
Group:          System/X11/Utilities
Url:            http://xorg.freedesktop.org/
Source0:        http://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.bz2
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(ice)
BuildRequires:  pkgconfig(xproto)
BuildRequires:  pkgconfig(xproxymngproto)
# This was part of the xorg-x11 package up to version 7.6
Conflicts:      xorg-x11 <= 7.6
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The X firewall proxy (xfwp) is an application layer gateway proxy
that may be run on a network firewall host to forward X traffic
across the firewall. Used in conjunction with the X server Security
extension and authorization checking, xfwp constitutes a safe, simple,
and reliable mechanism both to hide the addresses of X servers located
on the Intranet and to enforce a server connection policy.

%prep
%setup -q

%build
%configure \
	--disable-selective-werror
make %{?_smp_mflags}

%install
%make_install

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_bindir}/xfwp
%{_mandir}/man1/xfwp.1%{?ext_man}

%changelog
* Fri Aug 23 2013 zaitor@opensuse.org
- Update to version 1.0.3:
  + Remove Malloc wrapper and its MallocFailed helper.
  + Replace many malloc(strlen)+strcpy calls with strdup calls.
  + Remove unnecessary Realloc wrapper.
  + Remove a bunch of unnecessary casts with malloc, free & memcpy
    calls.
  + Fix typos.
  + Add const attributes to fix gcc -Wwrite-strings warnings.
  + Strip trailing whitespace.
- Pass --disable-selective-werror to configure as we do not care
  for warnings.
* Sat Apr 14 2012 dimstar@opensuse.org
- Update to version 1.0.2:
  + Build system fixes.
- Replace pkgconfig(x11) BuildRequires with pkgconfig(xproto)
  BuildRequires following upstream changes.
* Fri Apr 13 2012 vuntz@opensuse.org
- Split xfwp from xorg-x11. Initial version: 1.0.1.
